package ervu_business_metrics.model.idm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Adel Kalimullin
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class RoleData {
  private String id;
  private int version;
  private long modified;
  private String schema;
  private String name;
  private String shortname;
  private String displayName;
  private int sessionsLimit;
  private boolean ervuRole;
  private int imported;
  private String description;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public int getVersion() {
    return version;
  }

  public void setVersion(int version) {
    this.version = version;
  }

  public long getModified() {
    return modified;
  }

  public void setModified(long modified) {
    this.modified = modified;
  }

  public String getSchema() {
    return schema;
  }

  public void setSchema(String schema) {
    this.schema = schema;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getShortname() {
    return shortname;
  }

  public void setShortname(String shortname) {
    this.shortname = shortname;
  }

  public String getDisplayName() {
    return displayName;
  }

  public void setDisplayName(String displayName) {
    this.displayName = displayName;
  }

  public int getSessionsLimit() {
    return sessionsLimit;
  }

  public void setSessionsLimit(int sessionsLimit) {
    this.sessionsLimit = sessionsLimit;
  }

  public boolean isErvuRole() {
    return ervuRole;
  }

  public void setErvuRole(boolean ervuRole) {
    this.ervuRole = ervuRole;
  }

  public int getImported() {
    return imported;
  }

  public void setImported(int imported) {
    this.imported = imported;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }
}
